Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1073550 - Change foreman-installer to use openstack-puppet-modules
Summary: Change foreman-installer to use openstack-puppet-modules
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: 4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: z4
: 4.0
Assignee: Jason Guiditta
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On: 1063980 1063982
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-06 16:52 UTC by Martin Magr
Modified: 2014-05-29 20:31 UTC (History)
5 users (show)

Fixed In Version: openstack-foreman-installer-1.0.6-1.el6ost
Doc Type: Bug Fix
Doc Text:
Clone Of: 1063982
Environment:
Last Closed: 2014-05-29 20:31:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 72714 None None None Never
OpenStack gerrit 75958 None None None Never
Red Hat Product Errata RHSA-2014:0517 normal SHIPPED_LIVE Moderate: openstack-foreman-installer security, bug fix, and enhancement update 2014-05-30 00:26:29 UTC

Description Martin Magr 2014-03-06 16:52:23 UTC
+++ This bug was initially created as a clone of Bug #1063982 +++

+++ This bug was initially created as a clone of Bug #1063980 +++

Packstack should not use it's own Puppet modules and use modules from openstack-puppet-modules instead.

--- Additional comment from Martin Magr on 2014-02-12 09:20:35 EST ---



--- Additional comment from Lon Hohberger on 2014-02-20 13:26:30 EST ---

devel_ack+ for bug in POST

Comment 2 Martin Magr 2014-03-06 16:54:28 UTC
Apologies, description should be: Foreman installer should not use Packstack's Puppet modules ...

Comment 9 Omri Hochman 2014-05-05 17:43:52 UTC
Verified with openstack-foreman-installer-1.0.6-2.el6ost.noarch -->
having openstack-puppet-modules-2013.2-9.el6ost.noarch installed

looking at puppet.conf:
modulepath     = /etc/puppet/environments/development/modules:/usr/share/openstack-foreman-installer/puppet/modules:/usr/share/openstack-puppet/modules

Comment 11 errata-xmlrpc 2014-05-29 20:31:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0517.html


Note You need to log in before you can comment on or make changes to this bug.